> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rio.trade/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel bulk crypto payment

### Requirements to consume the endpoint.

<CardGroup cols={1}>
  <Card title="User approved" icon="check">
    The user must be approved in at least one country.
  </Card>
</CardGroup>


## OpenAPI

````yaml post /api/payments/crypto/bulk/{id}/cancel
openapi: 3.0.0
info:
  version: v1.0.0
  title: Crypto payments API
  description: API for managing Crypto payments in the Rio platform
servers:
  - url: https://app.sandbox.rio.trade
security:
  - apiKeyAuth: []
paths:
  /api/payments/crypto/bulk/{id}/cancel:
    post:
      summary: Cancel bulk crypto payment
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Id of the bulk crypto payment
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/responseBulkCryptoPaymentSchema'
          description: OK
components:
  schemas:
    responseBulkCryptoPaymentSchema:
      type: object
      properties:
        createdAt:
          type: string
          description: The date and time the order was created
          example: '2025-01-04T00:24:28.658Z'
        userId:
          type: string
          description: The unique identifier of the user
          example: 6757546b4c5d19bf3cd7b09c
        orderIds:
          type: array
          description: List of order IDs pending payment
          items:
            type: string
          example:
            - 677880bab7a7c5e821c9f56f
            - 67788100b7a7c5e821c9fc0f
            - 6778811fb7a7c5e821c9fef5
            - 67788276b7a7c5e821ca1f33
        amount:
          type: number
          description: The total amount of the orders
          example: 14340
        orderIdsPaid:
          type: array
          description: List of order IDs that have been paid
          items:
            type: string
          example:
            - 677880bab7a7c5e821c9f56f
            - 67788100b7a7c5e821c9fc0f
            - 6778811fb7a7c5e821c9fef5
            - 67788276b7a7c5e821ca1f33
        crypto:
          enum:
            - USDC
            - USDC_POLYGON
            - USDC_POLYGON_NXTB
            - SOL_USDC_PTHX
            - XLM_USDC_5F3T
            - USDT_POLYGON
            - USDT_ERC20
            - TRX_USDT_S2UZ
            - USDT_BSC
          description: The type of cryptocurrency involved in the order
        country:
          enum:
            - MX
            - PE
            - CO
            - US
          description: The country of the operation
        status:
          enum:
            - awaitingDepositAddress
            - awaitingOrders
            - awaitingPayment
            - awaitingAsyncPayment
            - awaitingAsyncPayoutForOrders
            - complete
            - failed
            - cancelled
            - insufficientAmountReceived
            - excessAmountReceived
          description: The current status of the bulk crypto payment.
          example: awaitingPayment
        depositAddress:
          type: string
          description: The deposit address for the order
          example: 5BZDQjWad45rT1vYT5KdJHgSU4rWXL1Y5nDoTwSrT8Pr
        id:
          type: string
          description: The unique identifier of the order
          example: 67787fbcd520f9ecb10e9be6
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````